image


This is an error that will occur if you are using EasyWorship 6.7 on Windows Vista. 

Windows Vista is no longer supported since Microsoft has ended all support for Vista as of April 11th 2017.

You may roll back to EasyWorship 6.5.5 to continue using EasyWorship on Windows Vista, however we recommend planning for replacing the computer, or upgrading it to support a newer OS and EasyWorship 6.7. Please review the system requirements page before purchasing new hardware.